org.apache.maven.scm.provider.cvslib.cvsjava.command.diff

## Class CvsJavaDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.cvslib.command.diff.AbstractCvsDiffCommand
      - - org.apache.maven.scm.provider.cvslib.cvsjava.command.diff.CvsJavaDiffCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsJavaDiffCommand
    extends AbstractCvsDiffCommand

Version:
  $Id: CvsJavaDiffCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsJavaDiffCommand()`

### Method Summary

Methods
`protected DiffScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
`protected boolean` `isSupportNewFileParameter()`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.diff.AbstractCvsDiffCommand

`executeDiffCommand`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsJavaDiffCommand

    public CvsJavaDiffCommand()

### Method Detail

#### executeCvsCommand

    protected DiffScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                       throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsDiffCommand`
Throws:
  `ScmException`

#### isSupportNewFileParameter

    protected boolean isSupportNewFileParameter()

Overrides:
  `isSupportNewFileParameter` in class `AbstractCvsDiffCommand`